

# 开始

### 依赖
- 项目依赖Node.js 如果需要使用请下载10.15.3 以上版本的Node.js

### 安装依赖
- 安装Node.js 之后建议配置NPM的淘宝源

```
cnpm install
```

### 书写编辑

**添加新章节的操作步骤**

1. 在 docs/category/ 文件夹下新建一个 article-5.md 文件(文件命名只会在配置文件中用到,不会在界面上展示,可以自由选择)

在每个md 文件开头写每章的标题,如下：

```
---
title : 左侧目录的标题
---
```

2. 每个md 文件中的 一二级标记及 # ## 都会自动生成目录

3. 配置到左侧目录上
需要修改 docs/category/sidebar_contents.js 配置文件

```diff
module.exports = [
	"/category/",
	"git",
	"interface",
	"cache",
	"article-1",
	"article-2",
	"article-3",
	"article-4",
+	"article-5",
];
```

### 启动生成
```
npm run dev // 开发调试
npm run build // 构建静态文件 /docs/.vuepress/dist 目录里的文件为构建后的静态目录文件
```

### 生产部署

使用 npm run build 执行好压缩后的dist 文件进行Nginx部署

```
    server {
        listen 8081;
        location / {
            root /docs/.vuepress/dist;
            try_files $uri $uri/ /index.html;
            index index.html index.htm;
        }
    }
```

### 访问

[localhost:8081/](localhost:8081/)