---
title : 接口
---

# 接口

## 接口关系
- 1、同一服务同一集群之间接口
RPC、MQ两种。

- 2、同一服务不同站点之间接口
不同集群站点：数据传输、MQ。
同一用户群的站点：MQ

- 3、不同服务同一集群接口
RPC接口。

- 4、不同服务不同集群接口
无接口。

- 5、服务、app、PC互相接口

## 路径
http://IP/服务/功能模块/version/资源/yyy

## 接口规范
详细内容参见《接口规范》（研发中心软件接口梳理-3-16-v0.4.docx）

## 数据传输
对于web服务，系统采用xml封装并传输数据。音视频、大文件传输时，对文件按照1M块大小拆分，并按照xml封装传输。
音视频流媒体数据，采用webRTC框架传输数据。（特殊场景特殊处理）
Kafka、Rocket可以作为服务开放端口使用。通过互信认证后，客户端获得临时访问开放服务端口的用户名、密码。客户端每次存数据时，从服务端获得新密码。（采用一次一密机制）

## RPC接口
接口形式参见“4.2RPC通信”。原则上，每个服务设计本服务的接口，服务之间共享所有接口。Interface接口设计参见“面向接口编程-9-5.docx”。

## 前端接口调用
接口的事务设计参考“工单程序设计”。
前端接口采用json的restfull模式，参见“研发中心软件接口梳理-3-16.-v0.4.docx”。

## 互信接口
所有外部服务，App、PC客户端都需要做互信认证。
